apiVersion: v1
kind: Pod
metadata:
  name: pod-qos-guaranteed
spec:
  containers:
  - name: pod-qos-guaranteed-container
    image: registry.cn-beijing.aliyuncs.com/wangxiaochun/nginx:1.20.0
    resources:
      limits:
        memory: "200Mi"
        cpu: "500m"
      requests:
        memory: "200Mi"
        cpu: "500m"
